| Home | Libraries | People | FAQ | More

###### connection::close_statement (1 of 2 overloads)

Closes a statement, deallocating it from the server.

###### Synopsis

    void
    close_statement(
        const statement& stmt,
        error_code& err,
        diagnostics& diag);

###### Description

After this operation succeeds, `stmt` must not be used again for execution.

###### Preconditions

`stmt.valid() == true`